<?php


defined( 'ABSPATH' ) or exit;

/**
 * factor Template Head
 *
 * @type \WC_Order $order Order object
 * @type \WC_factor_Document Document object
 * @type string $type Document type
 * @type string $action Current document action
 * 
 * @version 3.0.0
 * @since 3.0.0
 */

?>
<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo( 'charset' ); ?>">
		<title>
			<?php
				/**
				 * Filters the document's title.
				 *
				 * @since 3.0.0
				 * @param string $title The title
				 * @param string $type factor Document type
				 * @param WC_factor_Document $document factor Document object
				 * @param WC_Order $order Order object
				 */
				echo apply_filters( 'wc_factor_document_title', sprintf( esc_html( '%1$s - %2$s %3$s' ), get_bloginfo( 'name' ), $document->name, $document->get_invoice_number() ), $type, $document, $order );
			?>
		</title>
		<?php
			/**
			 * Fires inside the document's `<head>` element.
			 *
			 * @since 3.0.0
			 * @param string $type factor Document type
			 * @param WC_factor_Document $document factor Document object
			 * @param WC_Order $order Order object
			 */
			do_action( 'wc_factor_head', $type, $document, $order );
		?>
		<link rel="stylesheet" href="<?php echo plugins_url('font.css',__FILE__) ?>" type="text/css" media="screen">
	</head>
	<?php
		/**
		 * Filters if the print dialog should be shown automatically when the document loads.
		 *
		 * @since 3.0.0
		 * @param bool $show_print_dialog Default's to true
		 */
		$show_print_dialog = apply_filters( 'wc_factor_show_print_dialog', true );
	?>
	<body id="woocoomerce-factor" class="woocommerce-factor <?php echo sanitize_html_class( $type ); ?>" <?php if ( isset( $action ) && 'print' === $action && $show_print_dialog ) { echo 'onload="window.print()"'; } ?> <?php echo is_rtl() ? 'style="direction: rtl;"' : ''; ?>>
		<?php

			// Outputs a print button for documents to be printed
			if ( isset( $action ) && 'print' === $action ) {
				wc_factor_print_button();
			}
