<?php
/**
 * Plugin Name: woocommerce factor فارسی
 * Plugin URI: http://www.20script.ir
 * Description: woocommerce factor plugin
 * Author: 20script
 * Author URI: http://www.20script.ir
 * Version: 4.2.1
 * Text Domain: woocommerce-factor
 * Domain Path: /i18n/languages/
 *
 * Copyright: (c) 2014-2020 Istatik, Inc. (info@20script.ir)
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package   WC-factor
 * @author    istatik
 * @category  Plugin
 * @copyright Copyright (c) 2014-2020, Istatik, Inc.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU General Public License v3.0
 */

defined( 'ABSPATH' ) or exit;

// Required functions






// Required library class
if ( ! class_exists( 'SV_WC_Framework_Bootstrap' ) ) {
	require_once( plugin_dir_path( __FILE__ ) . 'lib/skyverge/woocommerce/class-sv-wc-framework-bootstrap.php' );
}

SV_WC_Framework_Bootstrap::instance()->register_plugin( '4.4.0', __( 'WooCommerce Factor', 'woocommerce-factor' ), __FILE__, 'init_woocommerce_factor', array(
	'minimum_wc_version'   => '2.4.13',
	'minimum_wp_version'   => '4.1',
	'backwards_compatible' => '4.4.0',
) );

function init_woocommerce_factor() {

/**
 * # WooCommerce Factor Lists Main Plugin Class
 *
 * ## Plugin Overview
 *
 * This plugin allows the store admin to print ane email invoices, packing lists,
 * and pick lists for WooCommerce orders without the need for thrid-party software.
 * Additionally, customers can view and optionally print invoices from the
 * "My Account" page.
 *
 * Invoices and packing lists are objects referred to as 'documents'. factor provides
 * an abstract document model (WC_factor_Document) that can be extended by specific
 * document objects. Many document object properties are filterable, to offer
 * customization options and integration with other WooCommerce extensions
 * or third party plugins and themes.
 *
 * ## Features
 *
 * + Print or email invoices, packing lists, and pick lists from the Orders admin (individually and in bulk)
 * + Allow customers to view and print invoices from the "My Account" page
 *
 * ## Admin Considerations
 *
 * The plugin adds bulk actions to the orders screen as well as the individual
 * view/edit order screen.
 *
 * Actions (bulk and individual) include opening a new browser tab with the corresponding
 * invoice(s) or packing list(s) for the matching orders for printing or review. Or send
 * by email the invoice to the customer or the packing list to shop manager(s) or other
 * addresses as specified in the plugin settings.
 *
 * A special action is added to the list of bulk actions, which can be used only with
 * multiple orders in bulk and consists of a packing list wrapping many orders at once.
 *
 * The documents managed by factor use a single template, split into multiple partials and
 * managed by standard WooCommerce template functions (e.g. `wc_get_template()`). The
 * template files provide several hooks. There is the added possibility to edit
 * some of the template appearance using the built-in WordPress Customizer and live
 * preview the changes.
 *
 * The plugin adds a settings page as WooCommerce settings tab. The page has tabbed
 * subsections:
 *
 * 1. General - These options tweak the appearance of the document template (using Customizer)
 * 2. Invoices - Options related to invoices, mostly to customize invoice numbers
 * 3. Packing lists - Tweaks to exclude certain product types/items in list
 *
 * The email settings have been placed within the WooCommerce Email settings.
 *
 * ## Frontend Considerations
 *
 * The plugin adds a "View Invoice" button which performs a similar action as in the admin
 * to open a browser tab with an invoice for printing or review. Only the user connected
 * to the matching order is allowed to see the invoice.
 *
 * ## Database
 *
 * This plugin stores its settings using WooCommerce Settings API. Additional options are
 * set during the upgrade and install routines. An additional option `wc_factor_invoice_number_start`
 * is used to set the start number for invoices. This is set during the generation of
 * the first invoice number.
 *
 * ### Global Options
 *
 * The following are options meant to tweak template logic or elaborate dynamic content or data such as invoice numbers.
 *
 * + `wc_factor_invoice_number_start` - Stores the global invoice number counter
 * + `wc_factor_use_order_number` - Option to use order numbers for invoice numbers
 * + `wc_factor_invoice_minimum_digits` - Option to set leading zeros in invoice numbers
 * + `wc_factor_invoice_number_prefix` - Optional invoice number prefix
 * + `wc_factor_invoice_number_suffix` - Optional invoice number suffix
 * + `wc_factor_invoice_show_shipping_method` - When set it will show the shipping method in invoices
 * + `wc_factor_invoice_show_customer_details` - When set it will show customer details in invoices
 * + `wc_factor_packing_list_show_customer_details - When set it will show customer details in packing lists
 * + `wc_factor_invoice_show_customer_note` - When set it will show the customer note in invoices
 * + `wc_factor_packing_list_show_customer_note` - When set it will show the customer note in packing lists
 * + `wc_factor_invoice_show_coupons` - When set it will display customer used coupons in invoices
 * + `wc_factor_packing_list_exclude_virtual_items` - When set it will exclude virtual items from showing in packing lists
 * + `wc_factor_packing_list_show_terms_and_conditions` - When set it will show the terms and conditions also in packing lists
 * + `wc_factor_packing_list_show_footer` - When set it will show the footer content also in packing lists
 *
 * ### Customizer Options
 *
 * The following options contain template information.
 *
 * + `wc_factor_company_logo` - The company logo to be shown in templates
 * + `wc_factor_company_logo_max_width` - Sets the max width of the company logo
 * + `wc_factor_company_name` - The company name to be shown when logo is not used, defaults to site name
 * + `wc_factor_company_url` - The company website, defaults to site url
 * + `wc_factor_company_extra` - Additional information used as company name subheading
 * + `wc_factor_company_title_align` - Company name and extra information text positioning in template
 * + `wc_factor_company_address` - Company address information
 * + `wc_factor_company_address_align` - Company address text positioning in template
 * + `wc_factor_body_font_size` - Template body font size
 * + `wc_factor_heading_font_size` - Template heading font size
 * + `wc_factor_link_color` - Anchor links color in templates
 * + `wc_factor_headings_color` - Color of headings in templates
 * + `wc_factor_table_head_bg_color` - Background color of main table head
 * + `wc_factor_table_head_color` - Foreground text color of main table head
 * + `wc_factor_header` - Content to be printed in template header
 * + `wc_factor_return_policy` - Information containing terms and conditions, returns policy, etc.
 * + `wc_factor_return_policy_fine_print` - Option to display the return policy in smaller font size
 * + `wc_factor_footer` - Additional footer content
 * + `wc_factor_custom_styles` - CSS styles to be added to the templates
 *
 * ### Other Options
 *
 * + `woocommerce_factor_upgraded_to_3_0_0` - Internal flag to mark an installation upgrade from earlier versions of the plugin
 *
 * ### Order Meta
 *
 * + `_factor_invoice_number` - Stores an invoice number in the the WC Order post meta
 *
 *
 * @since 3.0.0
 */
class WC_factor extends SV_WC_Plugin {


	/** string version number */
	const VERSION = '4.0.1';

	/** @var WC_factor single instance of this plugin */
	protected static $instance;

	/** string the plugin id */
	const PLUGIN_ID = 'factor';

	/** string plugin text domain */
	const TEXT_DOMAIN = 'woocommerce-factor';

	/** @var \WC_factor_Document instance */
	protected $document = null;

	/** @var \WC_factor_Handler instance */
	protected $handler;

	/** @var \WC_factor_Print instance */
	protected $print;

	/** @var \WC_factor_Emails instance */
	protected $emails;

	/** @var \WC_factor_Ajax instance */
	protected $ajax;

	/** @var \WC_factor_Admin instance */
	protected $admin;

	/** @var \WC_factor_Customizer instance */
	protected $customizer;

	/** @var \WC_factor_Orders_Admin instance */
	protected $orders_admin;

	/** @var \WC_factor_Settings instance */
	protected $settings;

	/** @var \WC_factor_Frontend instance */
	protected $frontend;

	/** @var \WC_factor_Integrations instance */
	protected $integrations;


	/**
	 * Setup main plugin class
	 *
	 * @since 3.0.0
	 * @see \SV_WC_Plugin::__construct()
	 */
	public function __construct() {

		parent::__construct(
			self::PLUGIN_ID,
			self::VERSION,
			array(
				'dependencies' => array( 'dom' ),
			)
		);

		// load includes after WC is loaded
		add_action( 'sv_wc_framework_plugins_loaded', array( $this, 'includes' ), 11 );
	}


	/**
	 * Load plugin text domain.
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::load_translation()
	 */
	public function load_translation() {

		load_plugin_textdomain( 'woocommerce-factor', false, dirname( plugin_basename( $this->get_file() ) ) . '/i18n/languages' );
	}


	/**
	 * Loads any required files
	 *
	 * @since 3.0.0
	 */
	public function includes() {

		// template functions
		require_once( $this->get_plugin_path() . '/includes/wc-factor-template-functions.php' );

		// abstract class
		require_once( $this->get_plugin_path() . '/includes/abstract-wc-factor-document.php' );

		// invoices
		require_once( $this->get_plugin_path() . '/includes/class-wc-factor-document-invoice.php' );
		// invoices
		require_once( $this->get_plugin_path() . '/includes/class-wc-factor-document-label.php' );

		// packing lists
		require_once( $this->get_plugin_path() . '/includes/class-wc-factor-document-packing-list.php' );
		require_once( $this->get_plugin_path() . '/includes/class-wc-factor-document-pick-list.php' );

		// handler
		$this->handler = $this->load_class( '/includes/class-wc-factor-handler.php', 'WC_factor_Handler' );

		// print documents
		$this->print = $this->load_class( '/includes/class-wc-factor-print.php', 'WC_factor_Print' );

		// document emails
		$this->emails = $this->load_class( '/includes/class-wc-factor-emails.php', 'WC_factor_Emails' );

		if ( is_admin() ) {
			// admin side
			$this->admin_includes();
		} else {
			// frontend side
			$this->frontend = $this->load_class( '/includes/frontend/class-wc-factor-frontend.php', 'WC_factor_Frontend' );
		}

		// ajax
		if ( is_ajax() ) {
			$this->ajax = $this->load_class( '/includes/class-wc-factor-ajax.php', 'WC_factor_Ajax' );
		}

		// template customizer
		$this->customizer = $this->load_class( '/includes/admin/class-wc-factor-customizer.php', 'WC_factor_Customizer' );

		// integrations
		$this->integrations = $this->load_class( '/includes/integrations/class-wc-factor-integrations.php', 'WC_factor_Integrations' );
	}


	/**
	 * Loads required admin files
	 *
	 * @since 3.0.0
	 */
	private function admin_includes() {

		// load admin classes
		$this->admin        = $this->load_class( '/includes/admin/class-wc-factor-admin.php', 'WC_factor_Admin' );
		$this->orders_admin = $this->load_class( '/includes/admin/class-wc-factor-orders-admin.php', 'WC_factor_Orders_Admin' );
	}


	/** Admin methods ******************************************************/


	/**
	 * Render admin notices (such as upgrade notices)
	 *
	 * @since 3.0.0
	 * @see \SV_WC_Plugin::add_admin_notices()
	 */
	public function add_admin_notices() {

		// Show any dependency notices
		parent::add_admin_notices();

		$screen = get_current_screen();

		// only render on plugins or settings screen
		if ( 'plugins' === $screen->id || $this->is_plugin_settings() ) {

			if ( 'yes' === get_option( 'woocommerce_factor_upgraded_to_3_0_0' ) ) {

				// display a notice for installations that are upgrading
				$message_id  = 'wc_factor_upgrade_install';

				/* translators: Placeholders: %1$s - this plugin name, %2$s - opening HTML <a> anchor tag, %3$s - closing HTML </a> tag */
				$message_content = sprintf( __( 'Hi there! It looks like you have upgraded %1$s from an older version. We have added lots of new features, please %2$scheck out the documentation%3$s for an overview and some helpful upgrading tips!', 'woocommerce-factor' ), $this->get_plugin_name(), '<a target="_blank" href="http://www.bistscript.ir/woocommerce-factor/">', '</a>' );

			} else {

				// Display a notice for fresh installs
				$message_id = 'wc_factor_fresh_install';

				/* translators: Placeholders: %1$s - the plugin name, %2$s - opening HTML <a> anchor tag, %3$s closing HTML </a> tag */
				$message_content = sprintf( __( 'Thanks for installing %1$s! To get started, take a minute to %2$sread the documentation%3$s :)', 'woocommerce-factor' ), $this->get_plugin_name(), '<a href="' . $this->get_documentation_url()  . '" target="_blank">', '</a>' );
			}

			// Add notice
			$this->get_admin_notice_handler()->add_admin_notice( $message_content, $message_id, array(
				'always_show_on_settings' => false,
				'notice_class'            => 'updated',
			) );
		}
	}


	/** Helper methods ******************************************************/


	/**
	 * Main Print Invoices/Packing Lists Instance, ensures only one instance is/can be loaded
	 *
	 * @since 3.0.0
	 * @see wc_factor()
	 * @return \WC_factor
	 */
	public static function instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}
		return self::$instance;
	}


	/** Getter methods ******************************************************/


	/**
	 * Return admin class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Admin
	 */
	public function get_admin_instance() {
		return $this->admin;
	}


	/**
	 * Return frontend class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Ajax
	 */
	public function get_frontend_instance() {
		return $this->frontend;
	}


	/**
	 * Return ajax class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Ajax
	 */
	public function get_ajax_instance() {
		return $this->ajax;
	}


	/**
	 * Return customizer class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Customizer
	 */
	public function get_customizer_instance() {
		return $this->customizer;
	}


	/**
	 * Return orders class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Orders_Admin
	 */
	public function get_orders_instance() {
		return $this->orders_admin;
	}


	/**
	 * Return settings class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Settings
	 */
	public function get_settings_instance() {
		return $this->settings;
	}


	/**
	 * Return admin class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Integrations
	 */
	public function get_integrations_instance() {
		return $this->integrations;
	}


	/**
	 * Return email class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Emails
	 */
	public function get_email_instance() {
		return $this->emails;
	}


	/**
	 * Return print class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Print
	 */
	public function get_print_instance() {
		return $this->print;
	}


	/**
	 * Return handler class instance
	 *
	 * @since 3.0.0
	 * @return \WC_factor_Handler
	 */
	public function get_handler_instance() {
		return $this->handler;
	}


	/**
	 * Get document types
	 *
	 * @since 3.0.0
	 * @return array Associative array of factor document types with their names
	 */
	public function get_document_types() {

		/**
		 * Filters the document types.
		 *
		 * @since 3.0.0
		 * @param array $types The document types
		 */
		return apply_filters( 'wc_factor_document_types', array(
			'invoice'      => __( 'Invoice', 'woocommerce-factor' ),
			'packing-list' => __( 'Packing List', 'woocommerce-factor' ),
			'pick-list'    => __( 'Pick List', 'woocommerce-factor' ),
			'label'    => __( 'برچسب', 'woocommerce-factor' ),
		) );
	}


	/**
	 * Get a factor document object
	 *
	 * @see \WC_factor_Document::__construct()
	 *
	 * @since 3.0.0
	 * @param string $type Document type, such as 'invoice' or 'packing-list'
	 * @param array $args Array of arguments passed to make a WC_factor_Document object
	 * @return \WC_factor_Document|\WC_factor_Document_Invoice|\WC_factor_Document_Packing_List|\WC_factor_Document_Pick_List|null
	 */
	public function get_document( $type, array $args = array() ) {

		if ( $this->document instanceof WC_factor_Document ) {

			// ensure if there's a request for a document
			// which is already instantiated by comparing the order id
			// and the document type
			if ( $type === $this->document->type && $this->get_document_args_order_id( $args ) === $this->document->order_id ) {

				return $this->document;
			}
		}

		$class = 'WC_factor_Document_' . implode( '_', array_map( 'ucfirst', explode( '-', strtolower( $type ) ) ) );

		return $this->document = class_exists( $class ) ? new $class( $args ) : null;
	}


	/**
	 * Get order id from document args
	 *
	 * @see WC_factor::get_document()
	 *
	 * @since 3.0.0
	 * @param array $args
	 * @return int
	 */
	private function get_document_args_order_id( $args ) {

		$order_id = 0;

		if ( isset( $args['order'] ) && $args['order'] instanceof WC_Order ) {
			$order_id = $args['order']->id;
		} elseif ( isset( $args['order_id'] ) ) {
			$order_id = $args['order_id'];
		} elseif ( isset( $args['order_ids'] ) && is_array( $args['order_ids'] ) && isset( $args['order_ids'][0] ) ) {
			$order_id = $args['order_ids'][0];
		}

		return (int) $order_id;
	}


	/**
	 * Get the factor template
	 *
	 * @since 3.0.0
	 * @param string $template
	 * @param array $args
	 */
	public function get_template( $template, array $args = array() ) {

		// Load the template
		wc_get_template( 'factor/' . $template . '.php', $args, '', $this->get_plugin_path() . '/templates/' );
	}


	/**
	 * Returns the plugin name, localized
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::get_plugin_name()
	 * @return string the plugin name
	 */
	public function get_plugin_name() {
		return __( 'WooCommerce Factor', 'woocommerce-factor' );
	}


	/**
	 * Returns __FILE__
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::get_file()
	 * @return string the full path and filename of the plugin file
	 */
	protected function get_file() {
		return __FILE__;
	}


	/**
	 * Gets the plugin configuration URL
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::get_settings_url()
	 * @param string $_ unused
	 * @return string plugin settings URL
	 */
	public function get_settings_url( $_ = null ) {
		return admin_url( 'admin.php?page=wc-settings&tab=factor' );
	}


	/**
	 * Gets the plugin documentation URL
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::get_documentation_url()
	 * @return string
	 */
	public function get_documentation_url() {
		return 'http://www.20script.ir/woocommerce-factor/';
	}


	/**
	 * Gets the plugin support URL
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::get_support_url()
	 * @return string
	 */
	public function get_support_url() {
		return 'http://forum.20script.ir/';
	}


	/**
	 * Returns true if on the plugin's settings page
	 *
	 * @since 3.0.0
	 * @see \SV_WC_Plugin::is_plugin_settings()
	 * @return boolean true if on the settings page
	 */
	public function is_plugin_settings() {
		return isset( $_GET['page'] )    && 'wc-settings' === $_GET['page']     &&
		       isset( $_GET['tab'] )     && 'factor'         === $_GET['tab'];
	}


	/** Lifecycle methods ******************************************************/


	/**
	 * Run install
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::install()
	 */
	protected function install() {

		// Include settings so we can install defaults
		require_once( WC()->plugin_path() . '/includes/admin/settings/class-wc-settings-page.php' );

		$this->settings = $this->load_class( '/includes/admin/class-wc-factor-settings.php', 'WC_factor_Settings' );

		foreach ( $this->settings->get_settings() as $setting ) {

			if ( isset( $setting['default'] ) ) {

				update_option( $setting['id'], $setting['default'] );
			}
		}

		// versions prior to 2.7.0 did not set a version option,
		// so the upgrade method needs to be called manually.
		// We do this by checking first if an old option exists,
		// but a new one doesn't.
		if ( get_option( 'woocommerce_factor_invoice_start' ) && ! get_option( 'wc_factor_invoice_number_start' ) ) {
			$this->upgrade( '2.7.1' );
		}
	}


	/**
	 * Perform any version-related changes.
	 *
	 * @since 3.0.0
	 * @see SV_WC_Plugin::upgrade()
	 * @param int $installed_version the currently installed version of the plugin
	 */
	protected function upgrade( $installed_version ) {

		if ( version_compare( $installed_version, '3.0.0', '<' ) ) {

			// old option name => new option name
			$options = array(
				'woocommerce_factor_logo'           => 'wc_factor_company_logo',
				'woocommerce_factor_company_name'   => 'wc_factor_company_name',
				'woocommerce_factor_company_extra'  => 'wc_factor_company_extra',
				'woocommerce_factor_return_policy'  => 'wc_factor_return_policy',
				'woocommerce_factor_header'         => 'wc_factor_header',
				'woocommerce_factor_footer'         => 'wc_factor_footer',
				'woocommerce_factor_invoice_start'  => 'wc_factor_invoice_number_start',
				'woocommerce_factor_invoice_prefix' => 'wc_factor_invoice_number_prefix',
				'woocommerce_factor_invoice_suffix' => 'wc_factor_invoice_number_suffix',
			);

			foreach ( $options as $old_option => $new_option ) {

				if ( $old_setting = get_option( $old_option ) ) {

					update_option( $new_option, $old_setting );
					delete_option( $old_option );
				}
			}

			// emails option needs a different handling
			$emails_enabled  = 'enabled' === get_option( 'woocommerce_factor_send_email' ) ? 'yes' : 'no';
			$default_setting = array( 'enabled' => $emails_enabled );
			$emails_settings = array(
				'woocommerce_factor_email_invoice_settings'      => get_option( 'woocommerce_factor_email_invoice_settings', $default_setting ),
				'woocommerce_factor_email_packing_list_settings' => get_option( 'woocommerce_factor_email_packing_list_settings', $default_setting ),
			);

			// update from a legacy setting to send HTML emails with an array compatible with WC Emails settings
			foreach ( $emails_settings as $emails_setting_key => $emails_setting_options ) {

				if ( $emails_setting_options && is_array( $emails_setting_options ) ) {

					$emails_setting_options['enabled'] = $emails_enabled;

					update_option( $emails_setting_key, $emails_setting_options );
				}
			}

			// delete legacy email option
			delete_option( 'woocommerce_factor_send_email' );

			// prevent changing default behaviour for old installations
			update_option( 'wc_factor_use_order_number', 'no' );

			// print preview option is no longer used
			delete_option( 'woocommerce_factor_preview' );

			// redundant option before WC Settings Page was used
			delete_option( 'factor_fields_submitted' );

			// now update the print status of past orders if factor was previously installed
			$posts_per_page = 500;
			$offset         = (int) get_option( 'wc_factor_upgrade_install_offset', 0 );
			$documents      = array( 'invoice', 'packing-list' );

			do {

				// grab order ids
				$order_ids = get_posts( array(
					'post_type'      => 'shop_order',
					'fields'         => 'ids',
					'posts_per_page' => $posts_per_page,
					'offset'         => $offset,
					'post_status'    => 'any'
				) );

				// sanity check
				if ( is_wp_error( $order_ids ) ) {
					break;
				}

				if ( ! empty( $order_ids ) && is_array( $order_ids ) ) {

					foreach( $order_ids as $order_id ) {

						// previously, factor would generate an invoice number when a print window was open for the first time,
						// therefore we can check this meta to see if a document has been printed before
						if ( get_post_meta( $order_id, '_factor_invoice_number', true ) ) {

							foreach ( $documents as $document_type ) {

								$document = $this->get_document( $document_type, array( 'order_id' => $order_id ) );
								$document->update_print_count();
							}
						}
					}
				}

				// increment offset
				$offset += $posts_per_page;

				// keep track of how far we made it in case we hit a script timeout
				update_option( 'wc_factor_upgrade_install_offset', $offset );

			} while ( count( $order_ids ) === $posts_per_page );  // while full set of results returned (meaning there may be more results still to retrieve)

			// upgrade flag
			update_option( 'woocommerce_factor_upgraded_to_3_0_0', 'yes' );
		}
	}


} // end \WC_factor class


/**
 * Returns the One True Instance of Print Invoices/Packing Lists
 *
 * @since 3.0.0
 * @return WC_factor
 */
function wc_factor() {
	return WC_factor::instance();
}


// fire it up!
wc_factor();
/**
 * Include CSS file for MyPlugin.
 */

} // init_woocommerce_factor
